using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace B_krompir
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            for(int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split(' ');
            }
            for(int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split(' ');
            }
            Console.WriteLine(0);
            Console.WriteLine(0);
        }
    }
}